Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593410 - RFE: virt-install should print an error when using -x option with local install media
Summary: RFE: virt-install should print an error when using -x option with local insta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 18:15 UTC by Thorsten Scherf
Modified: 2011-01-13 23:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, virt-install ignored the passed arguments when the -x option was used with local install media instead of URL installs. This update adds the ability for virt-install to recognize passed arguments in the -x option with local install media and prints errors for these.
Clone Of:
Environment:
Last Closed: 2011-01-13 23:07:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
Error if -x is specified without -l (deleted)
2010-08-31 13:59 UTC, Cole Robinson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0078 normal SHIPPED_LIVE python-virtinst bug fix and enhancement update 2011-01-12 17:21:57 UTC

Description Thorsten Scherf 2010-05-18 18:15:00 UTC
Description of problem:
When virt-install is called with -x and local install media, it should print an error instead of simply ignoring the passed arguments.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Cole Robinson 2010-08-31 13:59:14 UTC
Created attachment 442190 [details]
Error if -x is specified without -l

Comment 2 Cole Robinson 2010-09-14 20:33:05 UTC
Fixed in python-virtinst-0.400.3-11.el5

Comment 4 Wayne Sun 2010-10-12 07:48:21 UTC
Verified on RHEL5u6
Build:20100930.0
pkg:
python-virtinst-0.400.3-11.el5
kernel-2.6.18-225.el5

Comment 5 Florian Nadge 2011-01-03 16:01:07 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, virt-install ignored the passed arguments when the -x option was used with local install media instead of URL installs. This update adds the ability for virt-install to recognize passed arguments in the -x option with local install media and prints errors for these.

Comment 7 errata-xmlrpc 2011-01-13 23:07:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0078.html


Note You need to log in before you can comment on or make changes to this bug.